--
-- file prepared: 18 May 2024 13:12:23.304, using fd633c
--
self_ID = "a6m"
declare_plugin(self_ID,
{
	displayName = _("a6m"),
	developerName = _("Half Science, the 'clay pigeon' series"),  --see artistic credits in the readme.txt

	image = "FC.bmp",
	installed = true,
	dirName = current_mod_path,
	fileMenuName = _("a6m"),

	version = " ",
	state = "installed",
	info = _("The Mitsubishi A6M 'Zero' is a long-range carrier-based fighter aircraft formerly manufactured by Mitsubishi Aircraft Company, and operated by the Imperial Japanese Navy (IJN) from 1940 to 1945. The A6M was designated as the Mitsubishi Navy Type 0 carrier fighter (零式艦上戦闘機, rei-shiki-kanjō-sentōki), or the Mitsubishi A6M Rei-sen. The A6M was usually referred to by its pilots as the Reisen (零戦, zero fighter), '0' being the last digit of the imperial year 2600 (1940) when it entered service with the Imperial Navy. Considered to have been the most capable carrier-based fighter in the world when it was introduced early in World War II, combining excellent maneuverability and very long range. In early combat operations, the Zero gained a reputation as a dogfighter, achieving an outstanding kill ratio of 12 to 1, but by mid-1942 new tactics and introduction of better equipment enabled Allied pilots to engage the Zero on generally equal terms. (source:https://en.wikipedia.org/wiki/Mitsubishi_A6M_Zero ) "),

	update_id = "a6m",

	Skins =
	{
		{
			name = _("a6m"),
			dir = "Theme"
		},
	},
	Missions =
	{
		{
			name = _("a6m"),
			dir = "Missions",
		},
	},
	LogBook =
	{
		{
			name = _("a6m"),
			type = "a6m",
		},
	},
	InputProfiles =
	{
		["a6m"] = current_mod_path .. '/Input/a6m',
	},
})
----------------------------------------------------------------------------------------
mount_vfs_texture_path(current_mod_path.."/Textures")
mount_vfs_model_path(current_mod_path.."/Shapes")
dofile(current_mod_path.."/Views.lua")
dofile(current_mod_path.."/weapons.lua")
make_view_settings('a6m', ViewSettings, SnapViews)
make_flyable('a6m', current_mod_path..'/Cockpit/Scripts/', { nil, old = 54 }, current_mod_path..'/comm.lua')
dofile(current_mod_path..'/a6m.lua')
------------------------------------------------------------------------------------ -
plugin_done()

