--
-- file prepared: 18 May 2024 13:12:35.761, using fd633c
--
self_ID = "dh110"
declare_plugin(self_ID,
{
	displayName = _("dh110"),
	developerName = _("Half Science, the 'clay pigeon' series"),  --see artistic credits in the readme.txt

	image = "FC.bmp",
	installed = true,
	dirName = current_mod_path,
	fileMenuName = _("dh110"),

	version = " ",
	state = "installed",
	info = _("The de Havilland DH.110 Sea Vixen is a British twin-engine, twin-boom-tailed, two-seat, carrier-based fleet air-defence fighter flown by the Royal Navy's Fleet Air Arm from the 1950s to the early 1970s. The Sea Vixen was designed by the de Havilland Aircraft Company during the late 1940s at its Hatfield aircraft factory in Hertfordshire, developed from the company's earlier first generation jet fighters. It was later called the Hawker Siddeley Sea Vixen after de Havilland was absorbed by the Hawker Siddeley Corporation in 1960. The Sea Vixen had the distinction of being the first British two-seat combat aircraft to achieve supersonic speed, albeit not in level flight. Operating from British aircraft carriers, it was used in combat over Tanganyika and over Yemen during the Aden Emergency. In 1972, the Sea Vixen was phased out in favour of the American-made McDonnell Douglas Phantom FG.1 interceptor. There have been no flying Sea Vixens since 2017. (source: https://en.wikipedia.org/wiki/De_Havilland_Sea_Vixen)   "),

	update_id = "dh110",

	Skins =
	{
		{
			name = _("dh110"),
			dir = "Theme"
		},
	},
	Missions =
	{
		{
			name = _("dh110"),
			dir = "Missions",
		},
	},
	LogBook =
	{
		{
			name = _("dh110"),
			type = "dh110",
		},
	},
	InputProfiles =
	{
		["dh110"] = current_mod_path .. '/Input/dh110',
	},
})
----------------------------------------------------------------------------------------
mount_vfs_texture_path(current_mod_path.."/Textures")
mount_vfs_model_path(current_mod_path.."/Shapes")
dofile(current_mod_path.."/Views.lua")
make_view_settings('dh110', ViewSettings, SnapViews)
make_flyable('dh110', current_mod_path..'/Cockpit/Scripts/', { nil, old = 54 }, current_mod_path..'/comm.lua')
dofile(current_mod_path..'/dh110.lua')
------------------------------------------------------------------------------------ -
plugin_done()

