--
-- file prepared: 18 May 2024 13:13:27.759, using fd633c
--
self_ID = "f11"
declare_plugin(self_ID,
{
	displayName = _("f11"),
	developerName = _("Half Science, the 'clay pigeon' series"),  --see artistic credits in the readme.txt

	image = "FC.bmp",
	installed = true,
	dirName = current_mod_path,
	fileMenuName = _("f11"),

	version = " ",
	state = "installed",
	info = _("The Grumman F11F/F-11 Tiger is a supersonic, single-seat carrier-based fighter aircraft. The first supersonic fighter to be produced by Grumman, it once held the world altitude record of 76,939 feet. The Tiger entered service with the U.S. Navy during 1956, and was flown from the carriers Intrepid, Lexington, Hancock, Bon Homme Richard, Shangri-La, Forrestal, Saratoga and Ranger. A total of 200 Tigers were produced for the United States Navy. Frontline use of the Tiger was relatively brief, largely due to its performance being inferior to the competing Vought F-8 Crusader, such as its limited endurance, while its Wright J65 turbojet engine had also proved to be somewhat unreliable.  Between 1957 and 1969, the Tiger was used by the Blue Angels flight team. The last examples were withdrawn from U.S. Navy service during 1969, although a handful of aircraft remained operational and were conducting test flights as late as 1975. (source: https://en.wikipedia.org/wiki/Grumman_F-11_Tiger)   "),

	update_id = "f11",

	Skins =
	{
		{
			name = _("f11"),
			dir = "Theme"
		},
	},
	Missions =
	{
		{
			name = _("f11"),
			dir = "Missions",
		},
	},
	LogBook =
	{
		{
			name = _("f11"),
			type = "f11",
		},
	},
	InputProfiles =
	{
		["f11"] = current_mod_path .. '/Input/f11',
	},
})
----------------------------------------------------------------------------------------
mount_vfs_texture_path(current_mod_path.."/Textures")
mount_vfs_model_path(current_mod_path.."/Shapes")
dofile(current_mod_path.."/Views.lua")
dofile(current_mod_path.."/weapons.lua")
make_view_settings('f11', ViewSettings, SnapViews)
make_flyable('f11', current_mod_path..'/Cockpit/Scripts/', { nil, old = 54 }, current_mod_path..'/comm.lua')
dofile(current_mod_path..'/f11.lua')
------------------------------------------------------------------------------------ -
plugin_done()

