--
-- file prepared: 18 May 2024 13:13:16.771, using fd633c
--
self_ID = "f8u"
declare_plugin(self_ID,
{
	displayName = _("f8u"),
	developerName = _("Half Science, the 'clay pigeon' series"),  --see artistic credits in the readme.txt

	image = "FC.bmp",
	installed = true,
	dirName = current_mod_path,
	fileMenuName = _("f8u"),

	version = " ",
	state = "installed",
	info = _("The Vought F-8 Crusader (originally F8U) is a single-engine, supersonic, carrier-based air superiority jet aircraft designed and produced by the American aircraft manufacturer Vought. Development of the F-8 commenced after release of the United States Navy requirement in September 1952 calling for a new fighter with a maximum speed of Mach 1.2 at 30,000 ft (9,100 m) with a climb rate of 25,000 ft/min (130 m/s), and a landing speed of no more than 100 mph (160 km/h).  Experience gained during the Korean War had demonstrated that .50 caliber (12.7 mm) machine guns were no longer sufficient armament and, as a result, the new fighter was to be armed with 20 mm (0.79 in) cannon. It was the last American fighter that had guns as the primary weapon, earning it the title 'The Last of the Gunfighters'. (source: https://en.wikipedia.org/wiki/Vought_F-8_Crusader)  "),

	update_id = "f8u",

	Skins =
	{
		{
			name = _("f8u"),
			dir = "Theme"
		},
	},
	Missions =
	{
		{
			name = _("f8u"),
			dir = "Missions",
		},
	},
	LogBook =
	{
		{
			name = _("f8u"),
			type = "f8u",
		},
	},
	InputProfiles =
	{
		["f8u"] = current_mod_path .. '/Input/f8u',
	},
})
----------------------------------------------------------------------------------------
mount_vfs_texture_path(current_mod_path.."/Textures")
mount_vfs_model_path(current_mod_path.."/Shapes")
dofile(current_mod_path.."/Views.lua")
dofile(current_mod_path.."/weapons.lua")
make_view_settings('f8u', ViewSettings, SnapViews)
make_flyable('f8u', current_mod_path..'/Cockpit/Scripts/', { nil, old = 54 }, current_mod_path..'/comm.lua')
dofile(current_mod_path..'/f8u.lua')
------------------------------------------------------------------------------------ -
plugin_done()

