--
-- file prepared: 18 May 2024 13:13:48.617, using fd633c
--
self_ID = "ki43"
declare_plugin(self_ID,
{
	displayName = _("ki43"),
	developerName = _("Half Science, the 'clay pigeon' series"),  --see artistic credits in the readme.txt

	image = "FC.bmp",
	installed = true,
	dirName = current_mod_path,
	fileMenuName = _("ki43"),

	version = " ",
	state = "installed",
	info = _("The Nakajima Ki-43 Hayabusa (隼, 'Peregrine falcon'), formal Japanese designation Army Type 1 Fighter, is a single-engine land-based tactical fighter used by the Imperial Japanese Army Air Service in World War II. The radial-engined (Nakajima Sakae, same engine as with A6M Zero) Ki-43 was light and easy to fly and became legendary for its combat performance in East Asia in the early years of the war. It could outmaneuver any opponent, but did not initially have armor or self-sealing fuel tanks, and its armament was lacking until its final version, which was produced as late as 1945. Allied pilots often reported that the nimble Ki-43s (Allied reporting name was 'Oscar') were difficult targets but burned easily or broke apart with few hits. Total production amounted to 5,919 aircraft. Many of these were used during the last months of the war for kamikaze missions against the American fleet. (source: https://en.wikipedia.org/wiki/Nakajima_Ki-43_Hayabusa)   "),

	update_id = "ki43",

	Skins =
	{
		{
			name = _("ki43"),
			dir = "Theme"
		},
	},
	Missions =
	{
		{
			name = _("ki43"),
			dir = "Missions",
		},
	},
	LogBook =
	{
		{
			name = _("ki43"),
			type = "ki43",
		},
	},
	InputProfiles =
	{
		["ki43"] = current_mod_path .. '/Input/ki43',
	},
})
----------------------------------------------------------------------------------------
mount_vfs_texture_path(current_mod_path.."/Textures")
mount_vfs_model_path(current_mod_path.."/Shapes")
dofile(current_mod_path.."/Views.lua")
dofile(current_mod_path.."/weapons.lua")
make_view_settings('ki43', ViewSettings, SnapViews)
make_flyable('ki43', current_mod_path..'/Cockpit/Scripts/', { nil, old = 54 }, current_mod_path..'/comm.lua')
dofile(current_mod_path..'/ki43.lua')
------------------------------------------------------------------------------------ -
plugin_done()

