--
-- file prepared: 18 May 2024 13:14:10.499, using fd633c
--
self_ID = "mig17"
declare_plugin(self_ID,
{
	displayName = _("mig17"),
	developerName = _("Half Science, the 'clay pigeon' series"),  --see artistic credits in the readme.txt

	image = "FC.bmp",
	installed = true,
	dirName = current_mod_path,
	fileMenuName = _("mig17"),

	version = " ",
	state = "installed",
	info = _("The Mikoyan-Gurevich MiG-17 is a high-subsonic fighter aircraft, produced in the Soviet Union from 1952, as an advanced modification of the MiG-15. Production of the MiG-17 was too late for use in that conflict and was first used in the Second Taiwan Strait Crisis in 1958. While the MiG-17 was designed to shoot down slower American bombers, it showed surprising success when used by North Vietnamese pilots to combat American fighters and fighter-bombers during the Vietnam War, as the MiG-17 was more agile and maneuverable than the American F-4 Phantom and F-105 Thunderchief.  The MiG-17 was license-built in China as the Shenyang J-5 and Poland as the PZL-Mielec Lim-6.  The MiG-17 is still being used by the North Korean air force in the present day and has seen combat in the Middle East and Asia. (source: https://en.wikipedia.org/wiki/Mikoyan-Gurevich_MiG-17#Specifications_(MiG-17F) ) "),

	update_id = "mig17",

	Skins =
	{
		{
			name = _("mig17"),
			dir = "Theme"
		},
	},
	Missions =
	{
		{
			name = _("mig17"),
			dir = "Missions",
		},
	},
	LogBook =
	{
		{
			name = _("mig17"),
			type = "mig17",
		},
	},
	InputProfiles =
	{
		["mig17"] = current_mod_path .. '/Input/mig17',
	},
})
----------------------------------------------------------------------------------------
mount_vfs_texture_path(current_mod_path.."/Textures")
mount_vfs_model_path(current_mod_path.."/Shapes")
dofile(current_mod_path.."/Views.lua")
dofile(current_mod_path.."/weapons.lua")
make_view_settings('mig17', ViewSettings, SnapViews)
make_flyable('mig17', current_mod_path..'/Cockpit/Scripts/', { nil, old = 54 }, current_mod_path..'/comm.lua')
dofile(current_mod_path..'/mig17.lua')
------------------------------------------------------------------------------------ -
plugin_done()

