--
-- file prepared: 18 May 2024 13:12:49.770, using fd633c
--
self_ID = "f4e"
declare_plugin(self_ID,
{
	displayName = _("f4e"),
	developerName = _("Half Science, the 'clay pigeon' series"),  --see artistic credits in the readme.txt

	image = "FC.bmp",
	installed = true,
	dirName = current_mod_path,
	fileMenuName = _("f4e"),

	version = " ",
	state = "installed",
	info = _("The McDonnell Douglas F-4 Phantom II is an American tandem two-seat, twin-engine, all-weather, long-range supersonic jet interceptor and fighter-bomber originally developed by McDonnell Aircraft for the United States Navy. Proving highly adaptable, it entered service with the Navy in 1961 before it was adopted by the United States Marine Corps and the United States Air Force, and by the mid-1960s it had become a major part of the USAF inventory. Phantom production ran from 1958 to 1981 with a total of 5,195 aircraft built, making it the most produced American supersonic military aircraft in history, and cementing its position as a signature combat aircraft of the Cold War. (source: https://en.wikipedia.org/wiki/McDonnell_Douglas_F-4_Phantom_II) "),

	update_id = "f4e",

	Skins =
	{
		{
			name = _("f4e"),
			dir = "Theme"
		},
	},
	Missions =
	{
		{
			name = _("f4e"),
			dir = "Missions",
		},
	},
	LogBook =
	{
		{
			name = _("f4e"),
			type = "f4e",
		},
	},
	InputProfiles =
	{
		["f4e"] = current_mod_path .. '/Input/f4e',
	},
})
----------------------------------------------------------------------------------------
mount_vfs_texture_path(current_mod_path.."/Textures")
mount_vfs_model_path(current_mod_path.."/Shapes")
dofile(current_mod_path.."/Views.lua")
dofile(current_mod_path.."/weapons.lua")
make_view_settings('f4e', ViewSettings, SnapViews)
make_flyable('f4e', current_mod_path..'/Cockpit/Scripts/', { nil, old = 54 }, current_mod_path..'/comm.lua')
dofile(current_mod_path..'/f4e.lua')
------------------------------------------------------------------------------------ -
plugin_done()

