--
-- file prepared: 18 May 2024 13:13:37.730, using fd633c
--
self_ID = "j2m"
declare_plugin(self_ID,
{
	displayName = _("j2m"),
	developerName = _("Half Science, the 'clay pigeon' series"),  --see artistic credits in the readme.txt

	image = "FC.bmp",
	installed = true,
	dirName = current_mod_path,
	fileMenuName = _("j2m"),

	version = " ",
	state = "installed",
	info = _("The Mitsubishi J2M Raiden (雷電, 'Lightning Bolt') is a single-engined land-based fighter aircraft used by the Imperial Japanese Navy Air Service in World War II (Allied reporting name 'Jack'). Designed as a local-defense interceptor, intended to counter the threat of high-altitude bomber raids, it relied on speed, climb performance, and armament at the expense of manoeuvrability. A sleek, but stubby craft, the J2M was powered by an oversized Mitsubishi Kasei engine buried behind a long cowling, cooled by an intake fan. First appearing in October 1943, the Raiden made its combat debut in June 1944 during the Battle of the Philippine Sea. Several J2Ms operated from Guam and Saipan and a small number of aircraft were deployed to the Philippines. J2Ms were based in Japanese airfields in Korea under Genzan Ku: Genzan (Wonsan); Ranan (Nanam); Funei (Nuren); Rashin (Najin); and Konan, for defense of these areas and fighting against Soviet Naval Aviation units. (source: https://en.wikipedia.org/wiki/Mitsubishi_J2M)  "),

	update_id = "j2m",

	Skins =
	{
		{
			name = _("j2m"),
			dir = "Theme"
		},
	},
	Missions =
	{
		{
			name = _("j2m"),
			dir = "Missions",
		},
	},
	LogBook =
	{
		{
			name = _("j2m"),
			type = "j2m",
		},
	},
	InputProfiles =
	{
		["j2m"] = current_mod_path .. '/Input/j2m',
	},
})
----------------------------------------------------------------------------------------
mount_vfs_texture_path(current_mod_path.."/Textures")
mount_vfs_model_path(current_mod_path.."/Shapes")
dofile(current_mod_path.."/Views.lua")
dofile(current_mod_path.."/weapons.lua")
make_view_settings('j2m', ViewSettings, SnapViews)
make_flyable('j2m', current_mod_path..'/Cockpit/Scripts/', { nil, old = 54 }, current_mod_path..'/comm.lua')
dofile(current_mod_path..'/j2m.lua')
------------------------------------------------------------------------------------ -
plugin_done()

