--
-- file prepared: 18 May 2024 13:14:19.948, using fd633c
--
self_ID = "p40"
declare_plugin(self_ID,
{
	displayName = _("p40"),
	developerName = _("Half Science, the 'clay pigeon' series"),  --see artistic credits in the readme.txt

	image = "FC.bmp",
	installed = true,
	dirName = current_mod_path,
	fileMenuName = _("p40"),

	version = " ",
	state = "installed",
	info = _("The Curtiss P-40 Warhawk, a modification of the Curtiss P-36 Hawk, was used by most Allied powers during World War II, and remained in frontline service until the end of the war. It was the third most-produced American fighter of World War II, after the P-51 and P-47; by November 1944, an estimated 13,738 had been built. Considered inferior to Luftwaffe fighters such as the Messerschmitt Bf 109 or the Focke-Wulf Fw 190 in high-altitude combat, it was rarely used in operations in Northwest Europe. However, between 1941 and 1944, the P-40 played a critical role with Allied air forces in three major theaters: North Africa, the Southwest Pacific, and China. It also had a significant role in the Middle East, Southeast Asia, Eastern Europe, Alaska and Italy. The P-40's performance at high altitudes was not as important in those theaters, where it served as an air superiority fighter, bomber escort and fighter-bomber. (source: https://en.wikipedia.org/wiki/Curtiss_P-40_Warhawk#Specifications_(P-40E)) "),

	update_id = "p40",

	Skins =
	{
		{
			name = _("p40"),
			dir = "Theme"
		},
	},
	Missions =
	{
		{
			name = _("p40"),
			dir = "Missions",
		},
	},
	LogBook =
	{
		{
			name = _("p40"),
			type = "p40",
		},
	},
	InputProfiles =
	{
		["p40"] = current_mod_path .. '/Input/p40',
	},
})
----------------------------------------------------------------------------------------
mount_vfs_texture_path(current_mod_path.."/Textures")
mount_vfs_model_path(current_mod_path.."/Shapes")
dofile(current_mod_path.."/Views.lua")
dofile(current_mod_path.."/weapons.lua")
make_view_settings('p40', ViewSettings, SnapViews)
make_flyable('p40', current_mod_path..'/Cockpit/Scripts/', { nil, old = 54 }, current_mod_path..'/comm.lua')
dofile(current_mod_path..'/p40.lua')
------------------------------------------------------------------------------------ -
plugin_done()

